Core - Task # 56811

Epic # 55070 (Accepted): Workpackages
Epic # 54542 (Accepted): WP: Importer / Exporter with relations MM/IRRE/FAL
Story # 55520 (Resolved): As an User | want to create exports in v. 6.2 and import them in v. 6.2

Status: Resolved Priority: Should have

Author: Marc Bastian Heinrichs Category: rtehtmlarea

Created: 2014-03-12 Assigned To: Marc Bastian Heinrichs
Updated: 2014-03-17 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Don't save references in index for processed images in RTE fields

Description

Since RTE images are handled as relations to sys_file records adding references to the refindex for the processed images are
obsolete and causes trouble on export.

Related issues:
related to Core - Task # 56089: Impexp: add test scenarios for RTE with image... Resolved 2014-02-18
related to Core - Task # 56286: Impexp: Do not include processed images from ... Resolved 2014-02-25

Associated revisions

Revision 1943bb51 - 2014-03-17 20:01 - Marc Bastian Heinrichs

[BUGFIX] Avoid reference index records for images in RTE fields

Since images in RTE fields are handled as relations to sys_file
records adding references to the reference index for the concrete
image paths are obsolete and causes trouble with impexp.

Resolves: #56811

Releases: 6.2

Change-Id: 126a2531f417ff{8b628b69156a3a2236¢99960d5¢e
Reviewed-on: https://review.typo3.org/28292

Reviewed-by: Stanislas Rolland
Tested-by: Stanislas Rolland
Reviewed-by: Fabien Udriot
Tested-by: Fabien Udriot
Reviewed-by: Marc Bastian Heinrichs
Tested-by: Marc Bastian Heinrichs

History

#1 - 2014-03-12 12:43 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28292
#2 - 2014-03-12 16:48 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28292

#3 - 2014-03-17 11:32 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28292

#4 - 2014-03-17 11:33 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28292

#5 - 2014-03-17 14:33 - Marc Bastian Heinrichs
- % Done changed from 0 to 80

#6 - 2014-03-17 17:37 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28292

#7 - 2014-03-17 18:33 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28292

#8 - 2014-03-17 20:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:1943bb516c752c7dc466603a35ef3a1659c0d4aa.
